using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LOLAPP.Modele
{
    public class Stub : IPersistanceManager
    {
        public Stub() {}
        public (List<Utilisateur>, List<Champion>) Chargdon()
        {
            List<Utilisateur> s = new List<Utilisateur>();
            List<Champion> c = new List<Champion>();
            List<Ability> a = new List<Ability>();
            Ability a1 = new Ability("Broken Wings");
            a.Add(a1);
            Champion c1 = new Champion("Riven", a);
            Champion c2 = new Champion("Braum");
            c.Add(c1);
            c.Add(c2);
            Utilisateur s1 = new Utilisateur("Broken", "Kala");
            s.Add(s1);
            return (s,c);
        }

        public void Sauvdon(List<Utilisateur> s, List<Champion> c)
        {
            throw new NotImplementedException();
        }
    }
}